Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Error while installing Eclipse
Error while installing Eclipse [message #1798393] Fri, 16 November 2018 16:32 Go to next message
Niko Haim is currently offline Niko HaimFriend
Messages: 1
Registered: November 2018
Junior Member
When I try to install Eclipse I can not because of an error during the installation.
The problem is not in Java but in Eclipse itself.
That's why I add here a log of Eclipse's error.
I asked everyone for help. I tried everything and I still could not install Eclipse.


[2018-11-16 18:19:11] Executing bootstrap tasks
[2018-11-16 18:19:11] Java(TM) SE Runtime Environment 1.8.0_191-b12
[2018-11-16 18:19:11] Product org.eclipse.products.epp.package.java.photon
[2018-11-16 18:19:11] Bundle org.eclipse.oomph.setup 1.9.0.v20180529-0916, build=3551, branch=5a7202105cdec0e9bc9553799ba330ea58714ce5
[2018-11-16 18:19:11] Bundle org.eclipse.oomph.setup.core 1.9.0.v20180529-0916, build=3551, branch=5a7202105cdec0e9bc9553799ba330ea58714ce5
[2018-11-16 18:19:11] Bundle org.eclipse.oomph.setup.p2 1.9.0.v20180529-0916, build=3551, branch=5a7202105cdec0e9bc9553799ba330ea58714ce5
[2018-11-16 18:19:11] Performing P2 Director (Eclipse IDE for Java Developers (Photon))
[2018-11-16 18:19:11] Offline = false
[2018-11-16 18:19:11] Mirrors = true
[2018-11-16 18:19:11] Resolving 26 requirements from 3 repositories to C:\Users\Niko\eclipse\java-photon2\eclipse
[2018-11-16 18:19:11] Requirement epp.package.java [4.8.0,5.0.0)
[2018-11-16 18:19:11] Requirement org.eclipse.platform.feature.group [4.8.0,5.0.0)
[2018-11-16 18:19:11] Requirement org.eclipse.rcp.feature.group [4.8.0,5.0.0)
[2018-11-16 18:19:11] Requirement org.eclipse.buildship.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.eclemma.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.egit.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.egit.mylyn.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.jdt.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.jgit.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.m2e.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.m2e.logback.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn.context_feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn.git.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn.hudson.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn.java_feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.mylyn_feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.recommenders.news.rcp.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.recommenders.rcp.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.recommenders.snipmatch.rcp.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.tips.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2018-11-16 18:19:11] Requirement org.eclipse.oomph.setup.feature.group
[2018-11-16 18:19:11] Repository http://download.eclipse.org/technology/epp/packages/photon
[2018-11-16 18:19:11] Repository http://download.eclipse.org/releases/photon/201806271001
[2018-11-16 18:19:11] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2018-11-16 18:19:12] Calculating requirements and dependencies.
[2018-11-16 18:19:12] Computing prerequisite plan
[2018-11-16 18:19:14] Collecting 3 artifacts from http://download.eclipse.org/releases/photon/201806271001
[2018-11-16 18:19:14] Downloading org.eclipse.platform_root
[2018-11-16 18:19:14] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
[2018-11-16 18:19:14] Downloading org.eclipse.rcp_root
[2018-11-16 18:19:14] Collected 3 artifacts for http://download.eclipse.org/releases/photon/201806271001 in 0.528s
[2018-11-16 18:19:14] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/photon
[2018-11-16 18:19:15] Downloading epp.package.java.executable.win32.win32.x86_64
[2018-11-16 18:19:15] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/photon in 0.428s
[2018-11-16 18:19:15] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2018-11-16 18:19:15] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3332)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3260)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3241)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3141)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=C__Users_Niko_eclipse_java-photon2_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
ERROR: org.eclipse.equinox.p2.engine code=0 Error reading signed content.
java.io.IOException: Exception in opening zip file: C:\Users\Niko\.p2\pool\plugins\org.eclipse.aether.maven_3.1.0.v20140706-2237.jar
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:321)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:212)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:74)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:55)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:52)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:252)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:102)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:77)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:45)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:42)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:543)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3332)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3260)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3241)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3141)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
Caused by: java.io.FileNotFoundException: C:\Users\Niko\.p2\pool\plugins\org.eclipse.aether.maven_3.1.0.v20140706-2237.jar (The system cannot find the file specified)
at java.util.zip.ZipFile.open(Native Method)
at java.util.zip.ZipFile.<init>(Unknown Source)
at java.util.zip.ZipFile.<init>(Unknown Source)
at java.util.zip.ZipFile.<init>(Unknown Source)
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:304)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:212)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:74)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:55)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:52)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:252)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:102)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:77)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:45)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:42)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:543)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3332)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3260)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3241)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3141)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
... 1 more

[2018-11-16 18:19:15]
Re: Error while installing Eclipse [message #1798514 is a reply to message #1798393] Tue, 20 November 2018 05:36 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30457
Registered: July 2009
Senior Member
From the error message, I assume that C:\Users\Niko\.p2\pool\plugins\org.eclipse.aether.maven_3.1.0.v20140706-2237.jar doesn't exist, right? But C:\Users\Niko\.p2\pool\plugins\ is no doubt full of all the other plugins...

You could try to repair the bundle pool:

https://www.eclipse.org/forums/index.php/m/1780180/?srch=repair+bundle+pool#msg_1780180
Previous Topic:[SOLVED] SWT platform dependencies not installed during setup
Next Topic:How to enable Apply Configuration to a custom configuration setup
Goto Forum:
  


Current Time: Sat Sep 21 05:15:09 GMT 2019

Powered by FUDForum. Page generated in 0.02609 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top